---
title: Get Shipping Method by ID
slug: api-documentation/wJF5-get-shipping-method-by-id
docTags: 
createdAt: 2026-08-27T17:08:07.245Z
---

{
  "id": "1ow_mA_Ys6LTxj-us6YDT",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/shipping-method/{shippingMethodId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/shipping-method/{shippingMethodId}"
      }
    ],
    "name": "Get Shipping Method by ID",
    "description": "<p>This endpoint returns the details of the specified shipping method based on the id passed in.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>shipping.method.read</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>customer.default</li>\n<li>customer.anonymous</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "shippingMethodId",
          "type": "string<uuid>",
          "description": "Unique identifier for a shipping method.",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        },
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-shipping method returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "This represents the common structure of a shipping method.",
            "customType": "ShippingMethod",
            "schema": [
              {
                "name": "calculator",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "dynamicProperties",
                "kind": "optional",
                "type": "object",
                "description": "Dynamic properties on the shipping method.",
                "example": "{\"propertyName\":\"This is a dynamic property\"}",
                "schema": []
              },
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "Optional shipping method id.",
                "example": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
                "format": "uuid"
              },
              {
                "name": "limits",
                "kind": "optional",
                "type": "object",
                "description": "Defines optional dimension and weight limits of the shipping method.",
                "modelRef": "#/components/schemas/Limits",
                "customType": "Limits",
                "schema": [
                  {
                    "name": "dimensions",
                    "kind": "optional",
                    "type": "object",
                    "description": "Represents the dimensions of a shipping package.",
                    "modelRef": "#/components/schemas/Dimensions",
                    "customType": "Dimensions",
                    "schema": [
                      {
                        "name": "width",
                        "kind": "required",
                        "type": "number<double>",
                        "description": "The width of the package.",
                        "example": 10.5,
                        "format": "double"
                      },
                      {
                        "name": "length",
                        "kind": "required",
                        "type": "number<double>",
                        "description": "The length of the package.",
                        "example": 20,
                        "format": "double"
                      },
                      {
                        "name": "height",
                        "kind": "required",
                        "type": "number<double>",
                        "description": "The height of the package.",
                        "example": 15,
                        "format": "double"
                      },
                      {
                        "name": "unit",
                        "kind": "required",
                        "type": "string<cm | m | in | mm>",
                        "description": "The unit of measurement for dimensions.",
                        "example": "cm",
                        "enum": [
                          "cm",
                          "m",
                          "in",
                          "mm"
                        ]
                      }
                    ]
                  },
                  {
                    "name": "weight",
                    "kind": "optional",
                    "type": "object",
                    "description": "Represents the weight of a shipping package.",
                    "modelRef": "#/components/schemas/Weight",
                    "customType": "Weight",
                    "schema": [
                      {
                        "name": "value",
                        "kind": "required",
                        "type": "number<double>",
                        "description": "The weight value.",
                        "example": 2.5,
                        "format": "double"
                      },
                      {
                        "name": "unit",
                        "kind": "required",
                        "type": "string<g | kg | lb>",
                        "description": "The unit of measurement for the weight.",
                        "example": "kg",
                        "enum": [
                          "g",
                          "kg",
                          "lb"
                        ]
                      }
                    ]
                  }
                ]
              },
              {
                "name": "media",
                "kind": "optional",
                "type": "map",
                "description": "",
                "example": "",
                "customType": "map<string, MediaValue>",
                "schema": []
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "name of the shipping method",
                "example": "Shipping Method One"
              },
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "This should be a list of ids indicating the allowed sites. The ids must reference a valid site.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "taxCode",
                "kind": "optional",
                "type": "string",
                "description": "Optional tax code for a shipping method.",
                "example": "12345"
              }
            ],
            "modelRef": "#/components/schemas/ShippingMethod",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ZC8G5JBR_DE1CEOGFa0lQ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/shipping-method/{shippingMethodId} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "VC2_oz-hVYN8ImZW6wUbC",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/shipping-method/{shippingMethodId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "8imE_vF4Xymq26E8EaMOC",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/shipping-method/{shippingMethodId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "tHqtSiaXQqO1wJhxTptIZ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/shipping-method/{shippingMethodId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ZC8G5JBR_DE1CEOGFa0lQ"
    },
    "results": {
      "languages": [
        {
          "id": "Wck7YDJq37HYdXI_cPWEo",
          "language": "200",
          "code": "// Success-shipping method returned.\n{\n  \"calculator\": {},\n  \"dynamicProperties\": {},\n  \"id\": \"8A218593-40EB-4DD0-94BD-8ACA1D95BB14\",\n  \"limits\": {\n    \"dimensions\": {\n      \"width\": 10.5,\n      \"length\": 20,\n      \"height\": 15,\n      \"unit\": \"cm\"\n    },\n    \"weight\": {\n      \"value\": 2.5,\n      \"unit\": \"kg\"\n    }\n  },\n  \"media\": \"\",\n  \"name\": \"Shipping Method One\",\n  \"siteIds\": [\n    \"\"\n  ],\n  \"taxCode\": \"12345\"\n}"
        },
        {
          "id": "sTOFKr4bw9wJkhZEbldGj",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "-6KdXxP0PW7gL7fXaXoZd",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "Wck7YDJq37HYdXI_cPWEo"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}